﻿using System.Configuration;

namespace Kreta.Core.FileService.Configuration
{
    public class PathElementCollection : ConfigurationElementCollection
    {
        protected override string ElementName => nameof(Path);

        protected override ConfigurationElement CreateNewElement() => new Path();

        protected override object GetElementKey(ConfigurationElement element) => ((Path)element).Value;

        public override ConfigurationElementCollectionType CollectionType => ConfigurationElementCollectionType.BasicMap;
    }
}
