﻿using System.Configuration;

namespace Kreta.Core.FileService.Configuration
{
    public class StorageElementCollection : ConfigurationElementCollection
    {
        protected override string ElementName => nameof(Storage);

        protected override ConfigurationElement CreateNewElement() => new Storage();

        protected override object GetElementKey(ConfigurationElement element) => ((Storage)element).Key;

        public override ConfigurationElementCollectionType CollectionType => ConfigurationElementCollectionType.BasicMap;
    }
}
