﻿namespace Kreta.Core.FileService
{
    public interface IFileService
    {
        string WriteToFile(string base64EncodedContent, string storageName);
        void DeleteFile(string filePath);
        byte[] ReadFromFile(string filePath);
        string ReadImage(string filePath, string fileExtension);
        string ReadAndResizeImage(string filePath, int width, int height);
    }
}
